unit main;
{applicaton to test DBNavPlus}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, DBCtrls, DBNavPlus, StdCtrls, DB, ComCtrls;

type
  TMainForm = class(TForm)
    Button1: TButton;
    Nav: TDBNavPlus;
    Memo1: TMemo;
    Button4: TButton;
    Spacing: TLabel;
    Label1: TLabel;
    SpacingEdit: TEdit;
    UpDown1: TUpDown;
    MarginEdit: TEdit;
    UpDown2: TUpDown;
    procedure Button1Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure SpacingEditChange(Sender: TObject);
    procedure MarginEditChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

{******************************************************************************}
procedure TMainForm.FormShow(Sender: TObject);
var
	x: integer;
begin
	{force button to be enabled without datasource}
	for x := 0 to Nav.ComponentCount - 1 do begin
		if Nav.Controls[x] is TNavButton then begin
			with Nav.Controls[x] as TNavButton do begin
      	Enabled := True;
			end;
	  end;
  end;
  {set to default}
  SpacingEdit.Text := IntToStr(Nav.Spacing);
  MarginEdit.Text := IntToStr(Nav.Margin);
end;

{******************************************************************************}
procedure TMainForm.Button1Click(Sender: TObject);
begin
	{rotate button layout options}
	Nav.Layout := Succ(Nav.Layout);
	if Nav.Layout > high(Nav.Layout) then Nav.Layout := low(Nav.Layout);
end;

{******************************************************************************}
procedure TMainForm.Button4Click(Sender: TObject);
begin
	{move lines to captions}
	Nav.Captions := Memo1.Lines;
end;

{******************************************************************************}
procedure TMainForm.SpacingEditChange(Sender: TObject);
begin
	{change spacing}
	Nav.Spacing := StrToIntDef(SpacingEdit.Text,0);;
end;

{******************************************************************************}
procedure TMainForm.MarginEditChange(Sender: TObject);
begin
	{change margi}
	Nav.Margin := StrToIntDef(MarginEdit.Text,0);;
end;

end.
